org.yaml.snakeyaml.nodes

## Class AnchorNode

- java.lang.Object
- - org.yaml.snakeyaml.nodes.Node
  - - org.yaml.snakeyaml.nodes.AnchorNode

    public class AnchorNode
    extends Node

This class is only used during representation (dumping)

### Field Summary

### Fields inherited from class org.yaml.snakeyaml.nodes.Node

`endMark, resolved, useClassConstructor`

### Constructor Summary

Constructors
Constructor and Description
`AnchorNode(Node realNode)`

### Method Summary

Methods
`NodeId` `getNodeId()` For error reporting.
`Node` `getRealNode()`

### Methods inherited from class org.yaml.snakeyaml.nodes.Node

`equals, getAnchor, getBlockComments, getEndComments, getEndMark, getInLineComments, getStartMark, getTag, getType, hashCode, isResolved, isTwoStepsConstruction, setAnchor, setBlockComments, setEndComments, setInLineComments, setTag, setTwoStepsConstruction, setType, setUseClassConstructor, useClassConstructor`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnchorNode

    public AnchorNode(Node realNode)

### Method Detail

#### getNodeId

    public NodeId getNodeId()

Description copied from class: `Node`
For error reporting.

Specified by:
  `getNodeId` in class `Node`
Returns:
  scalar, sequence, mapping
See Also:
  "class variable 'id' in PyYAML"

#### getRealNode

    public Node getRealNode()